Subject: bug#44611: Prefix arg for xref-goto-xref

From: Juri Linkov <[email-masked]>
Date: Tue, 22 Dec 2020 23:20:37 +0200

>> Should these cases use different modes with different buffer names?
>
> I think it's a slippery slope to take a minor very specialized mode
> and start adding variants to it.  But if you insist on having TAB go
> to the next candidate, perhaps we will have no other choice than to
> take that path.

There are already two different modes: the first is
defined by the user option xref-show-definitions-function
(by default, xref--show-defs-buffer), the second is defined by
xref-show-xrefs-function (by default, xref--show-xref-buffer).

It's fine to use TAB to bury the output buffer in the first case,
but not in the second case.